# Interface Gatherer.Integrator.Greedy<A,T,R>

Type Parameters:
  `A` - the type of state used by this integrator
  `T` - the type of elements this greedy integrator receives
  `R` - the type of results this greedy integrator can produce

All Superinterfaces:
  `Gatherer.Integrator<A,T,R>`

Enclosing interface:
  `Gatherer.Integrator<A,T,R>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Gatherer.Integrator.Greedy<A,T,R> extends Gatherer.Integrator<A,T,R>
Greedy Integrators consume all their input, and may only relay that the downstream does not want more elements.

Implementation Requirements:
  This interface is used to communicate that no short-circuiting will be initiated by this Integrator, and that information can then be used to optimize evaluation.
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface Gatherer.Integrator

`Gatherer.Integrator.Greedy<A,T,R>`

## Method Summary

### Methods declared in interface Gatherer.Integrator

`integrate`